jQuery проблема конфликта, но мне нужны оба из них

Как я могу сделать два jquery, оба из них будут хорошо работать в моем коде. У меня есть конфликт jquery, поэтому он не работает хорошо. но когда я стираю другой, другой требует другой версии jquery. Отсюда у меня конфликт jquery:

<script src="<?php echo base_url('assets/jquery/jquery-2.1.4.min.js')?>">
</script>
<script src="<?= base_url() ?>assets/manager/js/jquery.min.js">
</script>

Если я удаляю первый, мой выпадающий список не выходит, если я удаляю второй, выпадающий список моего меню выхода не выходит.

1 ответ

  1. попробуйте сохранить jquery в любом другом объекте. затем используйте этот объект внутри второго jquery
    вроде этого

    var jq=jQuery.noConflict();
    

    теперь используйте этот jq внутри второго jquery
    после этого сохраните значение jq в jquery loke это

    var jQuery=jq.noConflict();